Move folder entry
Moves the specified folder entry.
Request
POST
https://api.datalens.tech/rpc/moveFolderEntry
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"destination": "example",
"name": "example"
}
|
Name |
Description |
|
destination |
Type: string Destination path for the entry. Example: |
|
entryId |
Type: string ID of the entry to move. Example: |
|
name |
Type: string New name for the entry at destination. Example: |
Responses
200 OK
Response
Body
application/json
[
{
"entryId": "example",
"key": "example",
"scope": "dash",
"type": "example"
}
]
Type: MoveEntryResultEntry[]
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
MoveEntryResultEntry
|
Name |
Description |
|
entryId |
Type: string ID of the entry. Example: |
|
key |
Type: string Key identifier of the entry. Example: |
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
|
type |
Type: string Type of the entry. Example: |
Example
{
"entryId": "example",
"key": "example",
"scope": "dash",
"type": "example"
}